﻿using System;
using System.Diagnostics;

namespace SongVocalSectionAnalyser.AudioAnalysis
{
    [DebuggerDisplay("{OverThreshold}, {Value}")]
    public class SongDataChunk
    {
        public float Value { get; }
        public bool OverThreshold { get; set; }
        public TimeSpan Begin { get; }
        public TimeSpan End { get; }
        public bool Debounced { get; set; }

        public SongDataChunk(float value, bool overThreshold, TimeSpan begin,TimeSpan end)
        {
            Value = value;
            OverThreshold = overThreshold;
            Begin = begin;
            End = end;
        }
    }
}