﻿namespace SongVocalSectionAnalyser.Common.Logging
{
    public sealed class DefaultLogger : ILogger
    {
        public static readonly DefaultLogger Instance = new DefaultLogger();

        private DefaultLogger()
        {
        }

        public void Debug(string summary, object details = null) => Logger.Debug(summary, details);

        public void Trace(string summary, object details = null) => Logger.Trace(summary, details);

        public void Info(string summary, object details = null) => Logger.Info(summary, details);

        public void Warn(string summary, object details = null) => Logger.Warn(summary, details);

        public void Error(string summary, object details = null) => Logger.Error(summary, details);

        public void Fatal(string summary, object details = null) => Logger.Fatal(summary, details);
    }
}
