﻿using System.Runtime.CompilerServices;

namespace SongVocalSectionAnalyser.Common.Logging
{
    public interface ILogger
    {
        [MethodImpl(MethodImplOptions.NoOptimization | MethodImplOptions.NoInlining)]
        void Debug(string summary, object details = null);

        [MethodImpl(MethodImplOptions.NoOptimization | MethodImplOptions.NoInlining)]
        void Trace(string summary, object details = null);

        [MethodImpl(MethodImplOptions.NoOptimization | MethodImplOptions.NoInlining)]
        void Info(string summary, object details = null);

        [MethodImpl(MethodImplOptions.NoOptimization | MethodImplOptions.NoInlining)]
        void Warn(string summary, object details = null);

        [MethodImpl(MethodImplOptions.NoOptimization | MethodImplOptions.NoInlining)]
        void Error(string summary, object details = null);

        [MethodImpl(MethodImplOptions.NoOptimization | MethodImplOptions.NoInlining)]
        void Fatal(string summary, object details = null);
    }
}
