﻿using System;

namespace SongVocalSectionAnalyser.Common.Logging.Model
{
    public class LogEntry
    {
        public Guid Id { get; set; }

        public string Level { get; set; }

        //ES [Date(Format = "basic_ordinal_date_time")]
        public DateTime Time { get; set; }

        public LogThreadInfo Thread { get; set; }

        public string Summary { get; set; }

        public object Details { get; set; }

        public LogStacktraceFrame[] Stacktrace { get; set; }

        public LogEntry()
        {
        }

        private LogEntry(LogEntry copyFrom)
        {
            Id = copyFrom.Id;
            Level = copyFrom.Level;
            Time = copyFrom.Time;
            Thread = copyFrom.Thread;
            Summary = copyFrom.Summary;
        }

        public LogEntry MakeCopyWithoutDetails()
        {
            return new LogEntry(this);
        }
    }
}
