﻿using System.Drawing;
using System.Drawing.Drawing2D;
using System.Drawing.Text;

namespace SongVocalSectionAnalyser.UI
{
    internal static class DrawingExtensionMethod
    {
        public static void SetHighQuility(this Graphics dc)
        {
            dc.CompositingQuality = CompositingQuality.HighQuality;
            dc.CompositingMode = CompositingMode.SourceOver;
            dc.InterpolationMode = InterpolationMode.HighQualityBicubic;
            dc.TextRenderingHint = TextRenderingHint.ClearTypeGridFit;
            dc.PixelOffsetMode = PixelOffsetMode.HighQuality;
            dc.SmoothingMode = SmoothingMode.HighQuality;
        }
    }
}
