﻿using System.Drawing;

namespace SongVocalSectionAnalyser.UI
{
    public abstract class InteractiveChartStyleScheme
    {
        public abstract int ChartFramePadding { get; set; }
        public abstract Color FrameColor { get; set; }
        public abstract int FrameWidth { get; set; }
        public abstract Color SampleColor { get; set; }
        public abstract int SampleWidth { get; set; }
        public abstract Color ChunkColor { get; set; }
        public abstract Color ChunkThresholdColor { get; set; }
        public abstract Color MaCurveColor { get; set; }
        public abstract int MaCurveWidth { get; set; }

        public abstract Color CursorColor { get; set; }
        public abstract int CursorWidth { get; set; }

        public abstract Color PlayingColor { get; set; }
        public abstract int PlayingWidth { get; set; }
    }
}
