﻿using System.Collections.Generic;

namespace SongVocalIsolateAutomation.AudioProcessing
{
    internal class WaveData
    {
        public IReadOnlyList<float> AllSamples { get; }
        public int Channels { get; }
        public int SampleRate { get; }

        public WaveData(IReadOnlyList<float> allSamples, int channels, int sampleRate)
        {
            AllSamples = allSamples;
            Channels = channels;
            SampleRate = sampleRate;
        }
    }
}