﻿using System.Collections.Generic;

namespace SongVocalSectionAnalyser.Common.Collections
{
    public static class CollectionExtensionMethod
    {
        public static IEnumerable<T> SkipFast<T>(this IReadOnlyList<T> source, int num)
        {
            var index = num;
            while (index < source.Count) yield return source[index++];
        }
    }
}
