﻿using System.Collections.Generic;
using System.Drawing;

namespace SongVocalIsolateAutomation.UI
{
    internal class WaveDub
    {
        public IReadOnlyList<float> SamplesI { get; }
        public IReadOnlyList<float> SamplesV { get; }

        public int OffsetI { get; set; }

        public int Channels { get; }
        public int SampleRate { get; }

        public int Length => SamplesV.Count;

        public WaveDub(IReadOnlyList<float> iSamples, IReadOnlyList<float> samplesV, int channels = 2, int sampleRate = 44100)
        {
            SamplesI = iSamples;
            SamplesV = samplesV;
            Channels = channels;
            SampleRate = sampleRate;
        }


    }
}
