using System;
using SongVocalSectionAnalyser.Common.Logging;
using Xunit;
using Xunit.Abstractions;

[assembly: CollectionBehavior(CollectionBehavior.CollectionPerAssembly, DisableTestParallelization = true)]


namespace SongVocalSectionAnalyser.Tests
{
    public abstract class TestBase
    {
        protected static readonly Random Rnd = new Random();

        protected TestBase(ITestOutputHelper output)
        {
            Logger.Init(new MultiLogger(ConsoleLogger.Instance, new XunitTestLogger(output)));
        }
    }
}