﻿using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using SongVocalSectionAnalyser.Common.Logging.JsonConverters;

namespace SongVocalSectionAnalyser.Common.Logging
{
    public static class LogJsonSerializerSettings
    {
        public static readonly JsonSerializerSettings Default = new JsonSerializerSettings
        {
            Converters =
            {
                new ByteArrayHexConverter() ,
                new StringEnumConverter(),
            }
        };
    }
}
