﻿using System;

namespace SongVocalSectionAnalyser.UI
{
    public class ChunkGroup
    {
        public TimeSpan Begin { get; }
        public TimeSpan End { get; }

        public ChunkGroup(TimeSpan begin, TimeSpan end)
        {
            Begin = begin;
            End = end;
        }

        public bool Contains(TimeSpan check)
        {
            return check >= Begin && check <= End;
        }
    }
}